// @ts-nocheck

/**
 * 在給定數組中找到最接近目標數字的元素。
 * @param arr 要搜索的數字數組。
 * @param target 目標數字。
 * @returns 最接近目標數字的數組元素。
 */
export function closest(arr: number[], target: number):number {
  return arr.reduce((pre: number, cur: number):number =>
    Math.abs(pre - target) < Math.abs(cur - target) ? pre : cur
  );
}

// 示例
// // 定義壹個數字數組
// const numbers = [1, 3, 5, 7, 9];

// // 在數組中找到最接近目標數字 6 的元素
// const closestNumber = closest(numbers, 6);

// console.log(closestNumber); // 輸出結果: 5